/*
 * DMDialogApi.cpp
 *
 * Copyright (C) 2010-2013 Julien Eychenne
 *
 * This file is part of Dolmen.
 *
 * Dolmen is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License (GPL) as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * Dolmen is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Dolmen. If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:  Julien Eychenne
 * Purpose: dialog scripting API
 * Created: 10/03/2012
 */

#include "DMDialogApi.h"

DMDialogApi::DMDialogApi(QObject *parent, QWidget *widget) :
    QObject(parent)
{
    m_widget = widget;
    setObjectName("dialog");
}

void DMDialogApi::error(const QString &title, const QString &text)
{
    QMessageBox::critical(m_widget, title, text);
}

void DMDialogApi::info(const QString &title, const QString &text)
{
    QMessageBox::information(m_widget, title, text);
}

QString DMDialogApi::openFile()
{
    return QFileDialog::getOpenFileName();
}

QString DMDialogApi::saveFile()
{
   return QFileDialog::getSaveFileName();
}


