#-------------------------------------------------
#
# Project created by QtCreator 2011-02-13T13:35:41
#
#-------------------------------------------------

QT       += core gui script sql svg widgets
#webkit

QMAKE_CXXFLAGS += -std=c++11

TEMPLATE = app
#CONFIG += debug
DEFINES += USE_QT5


macx {
    #Qt 5 stuff
    QMAKE_MACOSX_DEPLOYMENT_TARGET=10.7
    QMAKE_MAC_SDK=macosx10.9

	TARGET = Dolmen

	#NOTE: /System/Library/CoreServices/CoreTypes.bundle/Contents/Resources (system icons) on Leopard+
	ICON = icons/dolmen.icns

	LIBS += -framework CoreAudio -framework CoreServices

	INCLUDEPATH += /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/Headers \
		/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/Headers

        INCLUDEPATH += /usr/local/include /opt/local/include /usr/local/include/qwt
	LIBS += -L/opt/local/lib #-lsndfile

        DEFINES += __MACOSX_CORE__ macintosh useCarbon=1
	# DEFINES += QWT_DLL
	# static link
        LIBS += /opt/local/lib/libspeexdsp.a /opt/local/lib/libogg.a /opt/local/lib/libvorbisenc.a /opt/local/lib/libvorbis.a /opt/local/lib/libsndfile.a
        LIBS += -F/usr/local/qwt-6.1.0/lib -framework qwt /opt/local/lib/libz.a -L/usr/local/lib -lFLAC
	QTPLUGIN += qsqlite

} else {
    TARGET = dolmen
#LIBS += -lspeexdsp
}


win32-g++|win32-msvc2010 {

LIBS += -LC:/Qt/Qt5.6.0/5.6/mingw49_32/plugins/sqldrivers -lqsqlite

CONFIG += exceptions
INCLUDEPATH += C:/build/dolmen D:/Lib/qwt-6.1.2/src D:/Lib/libsndfile/include D:/Lib/rtaudio/include D:/Lib/libspeex/include
LIBS += -lws2_32 -lwinmm -lole32 -LD:/Lib/libsndfile/lib -llibsndfile-1 -ldsound -LD:/Lib/libspeex/lib -llibspeexdsp -LD:/Lib/qwt-6.1.2/lib -lqwt
LIBS += -LD:/Lib/zlib/lib -lz.dll
DEFINES += __WINDOWS_DS__ WINDOWS
#DEFINES += QWT_DLL
}

win32-msvc2010 {
LIBS += -luser32 -lgdi32
}

win32-g++ {
LIBS += -lgomp
}



linux-g++|linux-g++-64 {

DEFINES += __LINUX_ALSA__ UNIX

INCLUDEPATH += /usr/include/gtk-2.0 /usr/include/gio-unix-2.0/ /usr/local/qwt-6.1.2/include

LIBS += -lpthread -lasound -lsndfile -lspeexdsp -lz
LIBS += /usr/local/qwt-6.1.2/lib/libqwt.a

# needed for sendpraat
CONFIG += link_pkgconfig

PKGCONFIG = gtk+-2.0
#--cflags --libs
#DEFINES += HAVE_GETTIMEOFDAY -D__LINUX_ALSA__=1
LIBS += -lgomp
}


linux-g++-64 {

LIBS += -L/usr/lib/x86_64-linux-gnu/qt5/plugins/sqldrivers -lqsqlite

}



SOURCES += main.cpp\
    DolmenApp.cpp \
    gui/Viewer.cpp \
    gui/View.cpp \
    gui/PropertyEditor.cpp \
    gui/StartView.cpp \
    gui/splitters.cpp \
    gui/SoundView.cpp \
    gui/SearchWindow.cpp \
    gui/QueryView.cpp \
    gui/ProjectView.cpp \
    gui/NumericValueEdit.cpp \
    gui/MainMenu.cpp \
    gui/HtmlItemDelegate.cpp \
    gui/FileBrowser.cpp \
	gui/DMLineEdit.cpp \
    gui/ContextMenu.cpp \
    gui/CheckList.cpp \
    gui/BottomPane.cpp \
    gui/AnnotationView.cpp \
    gui/actions.cpp \
    gui/blocks/ChangelogBlock.cpp \
    lib/VirtualFolder.cpp \
    lib/VirtualFile.cpp \
    lib/VFolder.cpp \
    lib/VFileNode.cpp \
    lib/VFile.cpp \
    lib/Tier.cpp \
    lib/Span.cpp \
    lib/Sound.cpp \
    lib/Project.cpp \
    lib/praat.cpp \
    lib/Point.cpp \
    lib/metadata.cpp \
    lib/Item.cpp \
    lib/DFile.cpp \
    lib/Annotation.cpp \
    search/SearchNode.cpp \
    search/QueryParser.cpp \
    search/SearchMatch.cpp \
    search/Query.cpp \
    utils/routines.cpp \
    gui/VersionEditor.cpp \
    gui/AuthorEditor.cpp \
    gui/HelpView.cpp \
    lib/Graph.cpp \
    gui/PreferenceEditor.cpp \
    gui/blocks/SignalBlock.cpp \
    gui/CurveData.cpp \
    gui/GaugeView.cpp \
    gui/GaugeDialog.cpp \
    lib/Bookmark.cpp \
    gui/BookmarkBrowser.cpp \
    gui/BookmarkEditor.cpp \
	audio/RtAudio.cpp \
    audio/soundio.cpp \
    gui/SignalPlot.cpp \
    gui/blocks/TierBlock.cpp \
	lib/DMSelection.cpp \
	gui/DMRubberBand.cpp \
    gui/MetadataEditor.cpp \
    audio/SoundPlayer.cpp \
    gui/TierFrame.cpp \
    gui/SoundScrollBar.cpp \
    gui/ItemTextEdit.cpp \
    gui/ItemBoundary.cpp \
    gui/ItemView.cpp \
    gui/TierView.cpp \
    gui/PointView.cpp \
    gui/SpanView.cpp \
	extra/json.cpp \
    lib/JsonObject.cpp \
	lib/Plugin.cpp \
    lib/Document.cpp \
    api/DMSystemApi.cpp \
    api/DMTextApi.cpp \
    api/DMScriptApi.cpp \
    api/DMDialogApi.cpp \
    lib/SqlDatabase.cpp \
    api/DMOutputApi.cpp \
    gui/MetadataSidebar.cpp \
    gui/FileSidebar.cpp \
    gui/PropertyTable.cpp \
    lib/Grammar.cpp \
    gui/FieldBox.cpp \
	extra/qxtcheckcombobox.cpp \
	gui/SearchGrammarTab.cpp \
	extra/quazip/zip.c \
	extra/quazip/unzip.c \
	extra/quazip/quazipnewinfo.cpp \
	extra/quazip/quazipfile.cpp \
	extra/quazip/quazip.cpp \
	extra/quazip/quacrc32.cpp \
	extra/quazip/quaadler32.cpp \
	extra/quazip/qioapi.cpp \
	extra/quazip/JlCompress.cpp \
        extra/sendpraat.c\
    lib/ZipArchive.cpp \
    lib/TableModel.cpp \
    lib/DataTable.cpp \
    lib/TableColumn.cpp \
    gui/TableWidget.cpp \
    gui/TableView.cpp \
    gui/OutputTab.cpp \
    gui/FieldDialog.cpp \
    gui/AnnotationCreator.cpp


HEADERS  += \
    DolmenApp.h \
    gui/Viewer.h \
    gui/View.h \
    gui/PropertyEditor.h \
    gui/StartView.h \
    gui/splitters.h \
    gui/SoundView.h \
    gui/SearchWindow.h \
    gui/QueryView.h \
    gui/ProjectView.h \
    gui/NumericValueEdit.h \
    gui/MainMenu.h \
    gui/HtmlItemDelegate.h \
    gui/FileBrowser.h \
	gui/DMLineEdit.h \
    gui/ContextMenu.h \
    gui/CheckList.h \
    gui/BottomPane.h \
    gui/AnnotationView.h \
    gui/actions.h \
    gui/blocks/ChangelogBlock.h \
    lib/VirtualFolder.h \
    lib/VirtualFile.h \
    lib/VFolder.h \
    lib/VFileNode.h \
    lib/VFile.h \
    lib/Tier.h \
    lib/Span.h \
    lib/Sound.h \
    lib/Project.h \
    lib/praat.h \
    lib/Point.h \
    lib/metadata.h \
    lib/Item.h \
    lib/DFile.h \
    lib/Annotation.h \
    search/SearchNode.h \
    search/QueryParser.h \
    search/SearchMatch.h \
    search/Query.h \
    utils/routines.h \
    utils/Global.h \
    dolmen.h \
    gui/VersionEditor.h \
    gui/AuthorEditor.h \
	extra/sendpraat.h \
    gui/HelpView.h \
    lib/Graph.h \
    gui/PreferenceEditor.h \
    gui/blocks/SignalBlock.h \
    gui/CurveData.h \
    gui/GaugeView.h \
    gui/GaugeDialog.h \
    lib/Bookmark.h \
    gui/BookmarkBrowser.h \
    gui/BookmarkEditor.h \
	audio/RtAudio.h \
    audio/soundio.h \
    gui/SignalPlot.h \
    gui/blocks/TierBlock.h \
	lib/DMSelection.h \
    gui/DMRubberBand.h \
    gui/MetadataEditor.h \
    audio/SoundPlayer.h \
    gui/TierFrame.h \
    gui/SoundScrollBar.h \
    gui/ItemTextEdit.h \
    utils/version.h \
    gui/ItemBoundary.h \
    gui/ItemView.h \
    gui/TierView.h \
    gui/PointView.h \
    gui/SpanView.h \
	extra/json.h \
    lib/JsonObject.h \
    lib/Plugin.h \
    lib/Document.h \
    api/DMSystemApi.h \
    api/DMTextApi.h \
    api/DMScriptApi.h \
    api/DMDialogApi.h \
    lib/SqlDatabase.h \
    api/DMOutputApi.h \
    gui/MetadataSidebar.h \
    gui/FileSidebar.h \
    gui/PropertyTable.h \
    lib/Grammar.h \
    gui/FieldBox.h \
	extra/qxtnamespace.h \
	extra/qxtglobal.h \
	extra/qxtcheckcombobox.h \
	extra/qxtcheckcombobox_p.h \
    gui/SearchGrammarTab.h \
	extra/quazip/zip.h \
	extra/quazip/unzip.h \
	extra/quazip/quazipnewinfo.h \
	extra/quazip/quazipfileinfo.h \
	extra/quazip/quazipfile.h \
	extra/quazip/quazip.h \
	extra/quazip/quazip_global.h \
	extra/quazip/quacrc32.h \
	extra/quazip/quachecksum32.h \
	extra/quazip/quaadler32.h \
	extra/quazip/JlCompress.h \
	extra/quazip/ioapi.h \
	extra/quazip/crypt.h \
    lib/ZipArchive.h \
    lib/TableModel.h \
    lib/DataTable.h \
    lib/TableColumn.h \
    gui/TableWidget.h \
    gui/TableView.h \
    gui/OutputTab.h \
    gui/FieldDialog.h \
    gui/AnnotationCreator.h


OTHER_FILES += \
    dolmen.rc \
    TODO

RESOURCES += \
    icons.qrc \
    documentation.qrc

RC_FILE = dolmen.rc

