/*
 * SideBar.h
 *
 * Copyright (C) 2010-2013 Julien Eychenne
 *
 * This file is part of Dolmen.
 *
 * Dolmen is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License (GPL) as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * Dolmen is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Dolmen. If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:  Julien Eychenne
 * Purpose: hold browsers on the left hand side of the main window
 * Created: 12/04/2011
 */

#ifndef SIDEBAR_H
#define SIDEBAR_H

#include <QWidget>
#include <QStackedLayout>
#include <QHBoxLayout>
#include <QVBoxLayout>
#include <QComboBox>
#include <QGroupBox>
#include <QToolBar>
#include <QLabel>

#include "lib/DFile.h"

// Left-side bar for file browsing

class BrowserSideBar : public QWidget
{
	Q_OBJECT

public:
    BrowserSideBar(QToolBar *toolbar, QWidget *parent = NULL);
	void addItem(QWidget *w, const QString &title);
	void setCurrentIndex(int i);
	QLabel * label() const;

signals:
    void updateUi();

private slots:
	void updateTitle(int);

private:
	void setupUi();
    QToolBar        *toolbar; // on OS X, the combo box is displayed in the toolbar
    QComboBox       *choice_box;
    QStackedLayout  *stacked_layout;
    QLabel          *label_project;
};



#endif // SIDEBAR_H
