/*
 * OutputTab.h
 *
 * Copyright (C) 2010-2013 Julien Eychenne
 *
 * This file is part of Dolmen.
 *
 * Dolmen is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License (GPL) as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * Dolmen is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Dolmen. If not, see <http://www.gnu.org/licenses/>.
 *
 * Author:  Julien Eychenne
 * Purpose: new implementation for the standard output tab
 * Created: 23/4/2012
 */

#ifndef OUTPUTTAB_H
#define OUTPUTTAB_H

#include <QTextEdit>
#include <QTabWidget>

#include "gui/ContextMenu.h"
#include "dolmen.h"

class OutputTab : QObject
{
    Q_OBJECT

public:
    OutputTab();

public slots:
    void error(const QString &text);
    void write(const QString &text);
    void clear();
    void setEditor(QTabWidget *parent, QTextEdit *ed);
    //QTextEdit * editor() const;

private slots:
    void onRightClick(const QPoint &);

private:
    QTabWidget *tabWidget;
    QTextEdit  *m_tab;
};


#endif // OUTPUTTAB_H
